﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDCCategoryDateTimeAxis
{
    public class DataSource : List<DataItem>
    {
        public static Random Rand = new Random();
        public DataSource()
        {
            int value = 50;
            for (int i = 0; i < 10; i++)
            {
                double change = Rand.NextDouble();
                if (change > .5)
                {
                    value += (int)(change * 20);
                }
                else
                {
                    value -= (int)(change * 20);
                }
                value %= 100;
                this.Add(new DataItem
                {
                    Label = "Item " + i.ToString(),
                    Date = DateTime.Now.AddDays(Rand.Next(0, 10)),
                    Y = Rand.Next(value - 50, value + 50)
                });
            }
        }
    }
    public class DataItem
    {
        public string Label { get; set; }
        public DateTime Date { get; set; }
        public double Y { get; set; }
    }
}
